Reservation Status

To check the status of an existing reservation, you can use this endpoint with the reservation ID. This endpoint will return the current status and details of the reservation.

The response will include information such as whether the reservation is still active, the date, time, and number of covers for the reservation.

cURL example with OAuth authentication:

    curl -X GET "https://api.yelp.com/v3/bookings/reservation/e33b40ef-f6b1-4f17-987c-d850892564b/status -H "authorization: Bearer {ACCESS_TOKEN}"

Example 200 response:

{
    "active": true,
    "date": "2017-12-30",
    "time": "11:00:00",
    "covers": 3
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Reservation ID returned from the Reservations endpoint.

Query Params
integer
required
1 to 10

How many people are attending the reservation (min. value is 1; max value is 10).

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json